import numpy as np
from qpsolvers import solve_qp
import qpsolvers

print(qpsolvers.available_solvers)

cost_mat = np.loadtxt('cost_mat.txt')
cost_vec = np.loadtxt('cost_vec.txt')
eq_mat = np.loadtxt('eq_mat.txt')
eq_vec = np.loadtxt('eq_vec.txt')
ineq_mat = np.loadtxt('ineq_mat.txt')
ineq_vec = np.loadtxt('ineq_vec.txt')

sol = solve_qp(cost_mat,
               cost_vec,
               ineq_mat,
               ineq_vec,
               eq_mat,
               eq_vec,
               solver="quadprog",
               # solver="cvxopt",
               verbose=True)
print(sol)
